<div class="cars-grid cars-grid_default">
  <div v-for="car in objects" class="cars-grid__item">

    <div style="padding-left: 30px;" class="car car_inline">
            <a class="car__thumb photo-item" :href="'/auto/detail-auto/' + car.vin">
                <img v-if="car.thumbnail" :src="car.thumbnail"/>
            </a>
      <div class="car__body">
          <h5 class="car__title"><a class="link link_title" :href="'/auto/detail-auto/' + car.vin">${ car.mark_auto ? car.mark_auto.name : '' } ${ car.model_auto ? car.model_auto.name: ''} ${ car.generation ? car.generation.name : '' }</a></h5>
          <div class="car__vin">${ car.vin }</div>
            <div class="car__status">
          <div v-if="car.resell" class="status status_xs status_progress">перекуп</div>
        </div>
      </div>
      <div class="car__specs">
        <div class="car-specs">
                <div class="car-specs__item">${ car.year_auto ? car.year_auto.year + ' г.' : '-'} / ${ car.first_report_mileage ? car.first_report_mileage + ' км' : car.mileage ? car.mileage + ' км' : '-'}</div>
                <div class="car-specs__item">${ car.engine_type ? car.engine_type : '-'} / ${ car.engine_capacity ? car.engine_capacity : '-'} / ${ car.horsepower ? car.horsepower + ' л.с.' : '-'}</div>
                <div class="car-specs__item">${ car.transmission_type ? car.transmission_type : '-'} / ${ car.drive_type ? car.drive_type : '-'}</div>
        </div>
      </div>
            <div class="car__footer"><a class="car__reports variable variable_numeric"
                                        :href="'/report/list-by-car/' + car.id">
                <div class="variable__icon icon icon_m">
                    <svg>
                        <use xlink:href="#icon_report_24"></use>
                    </svg>
                </div>
                <div class="variable__value">${car.report_count}</div>
            </a>
                <h5 class="car__price">${ car.cost ? car.cost + ' ₽' : ''}</h5>
            </div>

    {% if perms.auto.change_auto or  perms.report.add_reportpodbor or perms.auto.delete_auto %}
      <div class="car__actions" style="max-width: 75px;justify-self: end;">
        <div class="dropdown">
          <div class="dropdown__control" @click="openDropdown">
            <div class="btn btn_m btn_circle">
              <div class="btn__icon icon icon_m">
                <svg>
                  <use xlink:href="#icon_menu_24"></use>
                </svg>
              </div>
            </div>
          </div>
          <div class="dropdown__content">
                <div class="menu-controls">
                  {% if perms.auto.change_auto %}
                    <div class="menu-controls__item"><a class="menu-controls__link" :href="`/auto/edit-auto/${car.id}`">Редактировать</a></div>
                  {% endif %}
                  {% if perms.report.add_reportpodbor %}
                    <div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer" @click="addReport($event, car)">Добавить отчёт</a></div>
                  {% endif %}
                  {% if perms.auto.delete_auto %}
                    <div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer" @click.prevent="removeObject(car)">Удалить</a></div>
                  {% endif %}
                </div>
          </div>
        </div>
      </div>
    {% endif %}
    </div>
  </div>
</div>
